VERSION 5.00
Begin VB.Form frmWatchCD 
   AutoRedraw      =   -1  'True
   Caption         =   "Monitor CD Demo"
   ClientHeight    =   1635
   ClientLeft      =   1665
   ClientTop       =   1545
   ClientWidth     =   4005
   Icon            =   "frmWatchCD.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   109
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   267
   Begin VB.Label Label2 
      Caption         =   $"frmWatchCD.frx":000C
      Height          =   1395
      Left            =   120
      TabIndex        =   0
      Top             =   105
      Width           =   3735
   End
End
Attribute VB_Name = "frmWatchCD"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
  Option Explicit
  ' demo project showing how to monitor CD insertion and removal
  ' by Bryan Stafford of New Vision Software - newvision@mvps.org
  ' this demo is released into the public domain "as is" without
  ' warranty or guaranty of any kind.  In other words, use at
  ' your own risk.
  
  ' IMPORTANT NOTE:  if you don't have the DbgwProc.dll Debug Object from
  ' the MS site, you should get it and use it with this project while in
  ' the IDE.  before compiling an app that uses the debug object, you should
  ' set the DEBUGWINDOWPROC conditional compiliation variable equal to zero.
  '
  ' DO NOT USE THE "Stop" BUTTON IN THE IDE WHILE THE FORM IS SUBCLASSED!!!

  ' the subclass procedure is in the cCDMonitor class module
  Private WithEvents m_oWatchCD As cCDMonitor
Attribute m_oWatchCD.VB_VarHelpID = -1

Private Sub Form_Load()
  
  ' create an instance of the cCDMonitor object and call it's
  ' SubClass method to initiate the subclass for this form
  Set m_oWatchCD = New cCDMonitor
  m_oWatchCD.SubClass hWnd
  
End Sub

Private Sub Form_Unload(Cancel As Integer)

  ' destroy the object so we don't crash since the
  ' subclass is terminated in the Class_Terminate event
  Set m_oWatchCD = Nothing
  
End Sub

Private Sub m_oWatchCD_CDROMChanged(ByVal eState As CD_STATE)

  Select Case eState
    Case CDRemoved: MsgBox "CD Removed", vbInformation, "Watch CD Demo"
    Case CDInserted: MsgBox "CD Inserted", vbInformation, "Watch CD Demo"
  End Select
  
End Sub
