Attribute VB_Name = "M_DragList_API_Declares"
  Option Explicit
  ' demo project showing how to turn a VB listbox into a DragList
  ' using the API functions in the common controls library.
  ' by Bryan Stafford of New Vision Software - newvision@mvps.org
  ' this demo is released into the public domain "as is" without
  ' warranty or guaranty of any kind.  In other words, use at
  ' your own risk.  See the comments in the UDragList module for
  ' important info about this project.

  Public Const API_FALSE As Long = 0&
  Public Const API_TRUE As Long = 1&
  Public Const MAX_PATH As Long = 260&
  Public Const vbZLString As String = ""

  Public Const GWL_STYLE As Long = (-16&)
  Public Const GWL_WNDPROC As Long = (-4&)

  Public Const WS_BORDER As Long = &H800000

  Public Const WM_USER As Long = &H400&

  Public Type POINTL
    x As Long
    y As Long
  End Type


  Public Declare Function GetWindowLong& Lib "user32" Alias "GetWindowLongA" (ByVal hWnd&, ByVal nIndex&)
                                                                      
  Public Declare Function SetWindowLong& Lib "user32" Alias "SetWindowLongA" (ByVal hWnd&, _
                                                              ByVal nIndex&, ByVal dwNewLong&)
  
  Public Declare Function CallWindowProc& Lib "user32" Alias "CallWindowProcA" (ByVal lpPrevWndFunc&, _
                                                ByVal hWnd&, ByVal Msg&, ByVal wParam&, ByVal lParam&)


  Public Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (lpDest As Any, lpSource As Any, ByVal cBytes&)

  Public Declare Function GetParent& Lib "user32" (ByVal hWnd&)

  Public Declare Function RegisterWindowMessage Lib "user32" Alias "RegisterWindowMessageA" (ByVal lpString$) As Long

  Public Declare Function SetProp Lib "user32" Alias "SetPropA" (ByVal hWnd&, ByVal lpString$, ByVal hData&) As Long
  Public Declare Function GetProp Lib "user32" Alias "GetPropA" (ByVal hWnd&, ByVal lpString$) As Long
  Public Declare Function RemoveProp Lib "user32" Alias "RemovePropA" (ByVal hWnd&, ByVal lpString$) As Long

